Bug 176267 - CVE-2005-4348 Fetchmail DOS by malicious server in multidrop mode
CVE-2005-4348 Fetchmail DOS by malicious server in multidrop mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fetchmail (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
source=fetchmail,reported=20051220,im...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 13:30 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 19:16:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-12-20 13:30:23 EST
Fetchmail DOS by malicious server in multidrop mode

Fetchmail contains a bug where when running in multidrop mode, a 
malicious mail server can crash the client by sending a message 
without headers.

This is not default behavior, so a user would have to connect to a 
malicious server.
http://fetchmail.berlios.de/fetchmail-SA-2005-03.txt

source=fetchmail,reported=20051220,impact=low,public=20051219

This issue also affects FC3
Comment 1 Fedora Update System 2005-12-20 17:00:53 EST
From User-Agent: XML-RPC

fetchmail-6.2.5.5-1.fc3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Fedora Update System 2005-12-20 17:01:02 EST
From User-Agent: XML-RPC

fetchmail-6.2.5.5-1.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.